Subject: Re: [net-next 14/15] net/mlx5: Light probe local SFs

From: Jakub Kicinski <[email-masked]>
Date: Wed, 21 Jun 2023 11:23:53 -0700

On Wed, 21 Jun 2023 15:14:35 +0200 Jiri Pirko wrote:
>> Did I confuse things even more?  
> 
> No, no confusion. But, the problem with this is that devlink port function set
> active blocks until the activation is done holding the devlink instance
> lock. That prevents other ports from being activated in parallel. From
> driver/FW/HW perspective, we can do that.
> 
> So the question is, how to allow this parallelism?

You seem to be concerned about parallelism, maybe you can share some
details / data / calculations? I don't think that we need to hold 
the instance lock just to get the notification but I'd strongly prefer
not to complicate things until problem actually exists.

The recent problems in the rtnl-lock-less flower implementation made me
very cautious about complicating the stack because someone's FW is slow.